tellraw @a [{"text": "§6DeathSwap§7§l｜§r"},{"text": "§e遊戲載入中，較為卡頓，敬請見諒~"}]
tag @a[team=blue] add player
tag @a[team=red] add player
tag @a[team=yellow] add player
tag @a[team=green] add player
clear @a
xp set @a 0 points
xp set @a 0 levels
effect clear @a
advancement revoke @a everything
gamerule reducedDebugInfo true
effect give @a[tag=player] resistance 2 255 true 
effect give @a[tag=player] instant_health 2 4 true 

scoreboard players set swap_count count 0
scoreboard players set warn status 0
scoreboard players set tick timer 0
scoreboard players set second timer 0
scoreboard players set swap timer 0
scoreboard players set swap_time timer 0
scoreboard players reset @a hurt
scoreboard players reset @a death

#設定難度
execute if score difficulty setting matches 0 run difficulty peaceful
execute if score difficulty setting matches 1 run difficulty easy
execute if score difficulty setting matches 2 run difficulty normal
execute if score difficulty setting matches 3 run difficulty hard
#設定時間
execute if score time_set setting matches 0 run time set day
execute if score time_set setting matches 1 run time set noon
execute if score time_set setting matches 2 run time set night
execute if score time_set setting matches 3 run time set midnight
execute if score time_cycle setting matches 0 run gamerule doDaylightCycle true
execute if score time_cycle setting matches 1 run gamerule doDaylightCycle false
#設定天氣
execute if score weather setting matches 0 run weather clear
execute if score weather setting matches 1 run weather rain
execute if score weather setting matches 2 run weather thunder
execute if score weather_cycle setting matches 0 run gamerule doWeatherCycle true
execute if score weather_cycle setting matches 1 run gamerule doWeatherCycle false
#設定怪物生成
execute if score mobspawn setting matches 0 run gamerule doMobSpawning true
execute if score mobspawn setting matches 1 run gamerule doMobSpawning false
#設定自然回血
execute if score hp_natural setting matches 0 run gamerule naturalRegeneration true
execute if score hp_natural setting matches 1 run gamerule naturalRegeneration false
#設定跌落傷害
execute if score falldamage setting matches 0 run gamerule fallDamage true
execute if score falldamage setting matches 1 run gamerule fallDamage false
#設定火焰傷害
execute if score firedamage setting matches 0 run gamerule fireDamage true
execute if score firedamage setting matches 1 run gamerule fireDamage false
#設定窒息傷害
execute if score drowningdamage setting matches 0 run gamerule drowningDamage true
execute if score drowningdamage setting matches 1 run gamerule drowningDamage false
#設定冰凍傷害
execute if score freezedamage setting matches 0 run gamerule freezeDamage true
execute if score freezedamage setting matches 1 run gamerule freezeDamage false

function deathswap:play/swap/time
scoreboard players operation swap timer = swap_time timer
#bossbar 顯示
bossbar set swap_time visible true

execute store result score red_count count run team list red
execute store result score blue_count count run team list blue
execute store result score yellow_count count run team list yellow
execute store result score green_count count run team list green

execute as @a[team=red] run scoreboard players set team_red status 1
execute as @a[team=blue] run scoreboard players set team_blue status 1
execute as @a[team=yellow] run scoreboard players set team_yellow status 1
execute as @a[team=green] run scoreboard players set team_green status 1

spreadplayers ~ ~ 2000 100000 false @a[tag=player]
tp @a[team=red] @a[team=red,limit=1]
tp @a[team=blue] @a[team=blue,limit=1]
tp @a[team=yellow] @a[team=yellow,limit=1]
tp @a[team=green] @a[team=green,limit=1]
tellraw @a {"text": "--------------------------------"}
function deathswap:setting/now
tellraw @a [{"text": "§6DeathSwap§7§l｜§r"},{"text": "§e隊伍配置如下："}]
execute if score team_red status matches 1 run tellraw @a [{"text": "§6DeathSwap§7§l｜§r"},{"text": "§c紅隊："},{"selector":"@a[team=red]"}]
execute if score team_blue status matches 1 run tellraw @a [{"text": "§6DeathSwap§7§l｜§r"},{"text": "§9藍隊："},{"selector":"@a[team=blue]"}]
execute if score team_yellow status matches 1 run tellraw @a [{"text": "§6DeathSwap§7§l｜§r"},{"text": "§6黃隊："},{"selector":"@a[team=yellow]"}]
execute if score team_green status matches 1 run tellraw @a [{"text": "§6DeathSwap§7§l｜§r"},{"text": "§a綠隊："},{"selector":"@a[team=green]"}]
tellraw @a {"text": "--------------------------------"}

scoreboard players set game status 1
tellraw @a [{"text": "§6DeathSwap§7§l｜§r"},{"text": "§e遊戲開始！"},{"text": "§b[點我重製遊戲]","clickEvent": {"action": "run_command","value": "/function deathswap:reset"},"hoverEvent": {"action": "show_text","value": "限OP玩家使用" }}]
title @a title {"text": "§6死亡交換 DeathSwap"}
title @a subtitle {"text": "§e遊戲開始！"}
execute as @a at @s run playsound entity.wither.spawn master @s ~ ~ ~